gnutls_certificate_set_openpgp_key(3)

NAME
gnutls_certificate_set_openpgp_key

SYNOPSIS
#include <gnutls/extra.h>

int gnutls_certificate_set_openpgp_key(gnutls_certificate_credentials_t res, gnutls_openpgp_key_t key, gnutls_openpgp_privkey_t pkey);

ARGUMENTS

gnutls_certificate_credentials_t            res
    is an gnutls_certificate_credentials_t structure.

gnutls_openpgp_key_t key
    contains an openpgp public key

gnutls_openpgp_privkey_t pkey
    is an openpgp private key

DESCRIPTION
This function sets a certificate/private key pair in the gnutls_certificate_credentials_t structure. This function may be called more than once (in case multiple keys/certificates exist for the server).

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.